Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.http.client.support
Class InterceptingHttpAccessor

    java.lang.Object
      org.springframework.http.client.support.HttpAccessor
          org.springframework.http.client.support.InterceptingHttpAccessor

Direct Known Subclasses:
  RestTemplate

    public abstract class InterceptingHttpAccessor

extends HttpAccessor

Base class for `RestTemplate` and other HTTP accessing gateway helpers, adding interceptor-related properties to `HttpAccessor`'s common properties.

Not intended to be used directly. See `RestTemplate`.

Author:
  Arjen Poutsma

Field Summary

Fields inherited from class org.springframework.http.client.support.HttpAccessor
`logger`

Constructor Summary
`InterceptingHttpAccessor()`

Method Summary
`java.util.List<ClientHttpRequestInterceptor>` | `getInterceptors()` Return the request interceptor that this accessor uses.
`ClientHttpRequestFactory` | `getRequestFactory()` Return the request factory that this accessor uses for obtaining `HttpRequests`.
`void` | `setInterceptors(java.util.List<ClientHttpRequestInterceptor> interceptors)` Sets the request interceptors that this accessor should use.

Methods inherited from class org.springframework.http.client.support.HttpAccessor
`createRequest, setRequestFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterceptingHttpAccessor

    public InterceptingHttpAccessor()

Method Detail

### setInterceptors

    public void setInterceptors(java.util.List<ClientHttpRequestInterceptor> interceptors)

  Sets the request interceptors that this accessor should use.

### getInterceptors

    public java.util.List<ClientHttpRequestInterceptor> getInterceptors()

  Return the request interceptor that this accessor uses.

### getRequestFactory

    public ClientHttpRequestFactory getRequestFactory()

  Description copied from class: `HttpAccessor`
  Return the request factory that this accessor uses for obtaining `HttpRequests`.

  Overrides:
    `getRequestFactory` in class `HttpAccessor`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD